CHEESE API v2

Create Run

Suggest an edit
POST
/api/v2/runs

Authorization

APIKeyHeader
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?|null
x-dmc-client?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/runs" \  -H "Content-Type: application/json" \  -d '{    "kind": "selection"  }'
{  "created_at": "string",  "expires_at": "string",  "id": "string",  "kind": "selection",  "last_event_sequence": 0,  "links": {    "events": "string",    "items": "string",    "results": "string",    "self": "string"  },  "metadata": {    "property1": "string",    "property2": "string"  },  "object": "run",  "progress": {    "cancelled": 0,    "failed": 0,    "pending": 0,    "running": 0,    "succeeded": 0,    "total": 0  },  "schema_version": "run/1",  "specification_hash": "string",  "status": "queued",  "updated_at": "string",  "warnings": [    {      "property1": "string",      "property2": "string"    }  ]}